<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
RecoverDeletedItems Method (IEdmFolder11)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder11 Interface : RecoverDeletedItems Method (IEdmFolder11)

Visual Basic
C#
C++/CLI

poDeletedItems
  Array of EdmDeletedItems

Restores the specified deleted items in the recycle bin to this folder in the vault view.

# Syntax

Visual Basic |
--- | ---

    Sub RecoverDeletedItems( _
       ByVal poDeletedItems() As EdmDeletedItems _
    )

C# |
--- | ---

    void RecoverDeletedItems(
       EdmDeletedItems[] poDeletedItems
    )

C++/CLI |
--- | ---

    void RecoverDeletedItems(
    &   array<EdmDeletedItems>^ poDeletedItems
    )

#### Parameters

poDeletedItems
  Array of EdmDeletedItems

# Example

See the IEdmFolder11 examples.

# Remarks

Use IEdmFolder11::GetDeletedItems to populate poDeletedItems.

Note that you cannot use this method to recover items that have been completely destroyed using IEdmFolder7::DestroyDeletedItems.

# See Also

####

IEdmFolder11 Interface
IEdmFolder11 Members
IEdmFolder5::DeleteFile Method ()
IEdmFolder5::DeleteFolder Method ()

# Availability

SOLIDWORKS PDM Professional 2018